﻿.row-animate {
    animation: shakeRow 0.3s ease;
}

@keyframes shakeRow {
    0% {
        transform: translateX(0);
    }

    25% {
        transform: translateX(-3px);
    }

    50% {
        transform: translateX(3px);
    }

    75% {
        transform: translateX(-2px);
    }

    100% {
        transform: translateX(0);
    }
}
.primry-color {
    color: var(--primary-color);
}

.image-preview {
    max-height: 500px;
    border-radius: 8px;
    max-width:740px;
}
.table-image {
    max-height: 150px;
    max-width: 150px;
    width: 100%;
    height: auto;
    object-fit: cover;
    border-radius: 5px 5px 5px 5px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.1); /* تأثير الظل الخفيف */
}
/* container for buttons */
.fixed-buttons {
    position: fixed;
    bottom: 20px;
    left: 20px;
    display: flex;
    flex-direction: column;
    gap: 10px;
}

    /* button style */
    .fixed-buttons button ,
    .fixed-buttons a {
        padding: 12px 18px;
        border: none;
        border-radius: 50%;
        font-size: 16px;
        cursor: pointer;
    }

        .fixed-buttons button:hover ,
        .fixed-buttons a:hover {
            background: #0056b3;
        }

/* mobile adjustment */
@media (max-width: 600px) {
    .fixed-buttons {
        bottom: 15px;
        left: 15px;
    }

        .fixed-buttons button {
            font-size: 14px;
            padding: 10px 14px;
        }
}
/************/
.sticky-buttons {
    position: fixed;
    bottom: 20px;
    left: 20px;
    display: flex;
    flex-direction: column;
    gap: 10px;
    z-index: 9999;
}

    .sticky-buttons a {
        width: 50px;
        height: 50px;
        background: #25D366;
        border-radius: 50%;
        display: flex;
        align-items: center;
        justify-content: center;
    }

        .sticky-buttons a.phone {
            background: #007bff;
        }

        .sticky-buttons a.whatsapp {
            background: #25D366;
        }
        .sticky-buttons a.sticky_toggler {
            background: #808080;
        }

    .sticky-buttons svg {
        width: 22px;
        height: 22px;
        fill: white;
    }

/* mobile */
@media (max-width:600px) {
    .sticky-buttons {
        bottom: 15px;
        left: 15px;
    }

        .sticky-buttons a {
            width: 45px;
            height: 45px;
        }
}

.sticky-buttons .reserve {
    display: none;
}

.sticky-buttons a:not(.sticky_toggler) {
    transition: all 0.3s ease;
}

.sticky-buttons.closed a:not(.sticky_toggler) {
    opacity: 0;
    transform: translateY(20px);
    pointer-events: none;
}

#sticky_toggler svg {
    transition: transform 0.3s ease;
}

/* when menu is open */
.sticky-buttons:not(.closed) #sticky_toggler svg {
    transform: rotate(180deg);
}